--- title: "Get policy" slug: "management-subaccount-getpolicy" tags: ["Sub Account"] updated: 2026-09-17T10:05:32Z published: 2026-09-17T10:05:32Z canonical: "api.ncloud-docs.com/management-subaccount-getpolicy" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get policy Available in Classic and VPC Get policy details. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/v1/policies/{policyId} | ### Request headers For information about the headers common to all Sub Account APIs, see [Sub Account request headers](/docs/en/management-subaccount#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyId` | String | Required | Policy ID - See [Get policy list](/docs/en/management-subaccount-getpolicies) | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `withPermissions` | Boolean | Optional | Whether to display detailed permissions for a policy - `true` \| `false` (default) - `true`: display - `false`: not display | ### Request example The request example is as follows: ``` curl --location --request GET 'https://subaccount.apigw.ntruss.com/api/v1/policies/48ac3260-****-****-****-246e96591594?withPermissions=true' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `policyId` | String | - | Policy ID | | `policyName` | String | - | Policy Name | | `policyType` | String | - | Policy type - `SYSTEM_MANAGED` \| `USER_CREATED` - `SYSTEM_MANAGED`: System Managed Policies - `USER_CREATED`: User Created Policies | | `policyDesc` | String | - | Policy description | | `nrn` | String | - | NAVER Cloud Platform resource identification value for policy | | `permissions` | Array | - | Allowed permission list: [permissions](/docs/en/management-subaccount-getpolicy#permissions) - Display if `withPermissions` is `true` | #### `permissions` The following describes `permissions`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `effect` | String | - | Permission allowance - `Allow` (Valid value) | | `targets` | Array | - | Permission allowance target: [targets](/docs/en/management-subaccount-getpolicy#targets) | | `condition` | Object | - | Policy condition - Display if the policy includes a condition | | `condition.{operator}` | Object | - | See [Policy condition operator](https://guide.ncloud-docs.com/docs/en/subaccount-condition#condition-%EC%97%B0%EC%82%B0%EC%9E%90) | | `condition.{operator}.{key}` | Object | - | See [Policy condition key](https://guide.ncloud-docs.com/docs/en/subaccount-condition#condition-%EC%A1%B0%EA%B1%B4-%ED%82%A4%EA%B0%92) | | `condition.{operator}.{value}` | Array | - | See [Policy condition value](https://guide.ncloud-docs.com/docs/en/subaccount-condition#condition-%EC%A1%B0%EA%B1%B4-%ED%82%A4%EA%B0%92) | #### `targets` The following describes `targets`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `product` | String | - | Allowable service code | | `actions` | Array | - | Allowable action | | `resourceNrns` | Array | - | NAVER Cloud Platform resource identification value for allowable target | ### Response status codes For information about the HTTP status codes common to all Sub Account APIs, see [Sub Account status codes](/docs/en/management-subaccount#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "policyId": "b38802f0-****-****-****-246e966ebec4", "policyName": "mypolicy", "policyType": "USER_CREATED", "policyDesc": "my policy", "nrn": "nrn:PUB:IAM::5*****8:Policy/b38802f0-****-****-****-246e966ebec4", "permissions": [ { "effect": "Allow", "targets": [ { "product": "VPCServer", "actions": [ "Change*", "View*" ], "resourceNrns": [ "nrn:PUB:VPCServer::5*****8:*" ] } ], "condition": { "StringEquals": { "ncp:principalName": [ "abc" ] } } }, { "effect": "Allow", "targets": [ { "product": "ExternalAccess", "actions": [ "Change*", "View*" ], "resourceNrns": [ "nrn:PUB:ExternalAccess::5*****8:*" ] } ], "condition": {} } ] } ```